#!/bin/sh
#Variables set in myth* autobuilds packages

##              ##
## Common Stuff ##
##              ##

#dput'ing
export DPUT="true"

#This is a force override that makes the working directory first
export FRESH_START="false"

#Remove source package after processed
export CLEANUP="true"

#Blacklisted builds. DONT USE THIS. USE THE black.list FILE INSTEAD"
#BLKLIST="fixes/0.26"


#dynamically calculate the OS and version targets
if [ -z $TARGETS ]; then
	if type tempfile 1>/dev/null 2>&1; then
		export TARGETS=$(tempfile)
	else
		export TARGETS=$(mktemp)
	fi
	python calculate_targets.py > $TARGETS
	. $TARGETS
	rm -f $TARGETS
fi

#Set email and name for package signing
export DEBEMAIL="packages@mythbuntu.org"
export DEBFULLNAME="Mythbuntu Automated Package Builder"
